////////////////////////////////////////////////////////////////////////////
//
//  codec.h
//
//	
//
//	Author 	: Rene Bllhoff
//  Created : 
//
//	(c) 2005-2008 by Rene Bllhoff - reneboellhoff (at) gmx (dot) de - 
//
//////////////////////////////////////////////////////////////////////////////
//
//  This source file may be used and distributed without
//  restriction provided that this copyright statement is not
//  removed from the file and that any derivative work contains
//  the original copyright notice and the associated disclaimer.
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//										
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public
//  License along with this source; if not, download it	from
//  http://www.gnu.org/licenses/gpl.html	
//
////////////////////////////////////////////////////////////////////////////	



	#ifndef __CODEC_H__
		#define __CODEC_H__

      #define TLV_CLK_PORT    GPIOD
      #define TLV_CLK_BIT     GPIO_PIN_10

      #define TLV_DOUT_PORT   GPIOB
      #define TLV_DOUT_BIT    GPIO_PIN_10

      #define TLV_CS1_PORT    GPIOD
      #define TLV_CS1_BIT     GPIO_PIN_8



      void    vCodecInit 			  (void);

			void    vCodecHPVol 			(uint8_t ucLevel);		// 0-63
			void    vCodecLineIn   	  (uint8_t ucLevel);
			void    vCodecInput			  (uint8_t bMicOrLine);
			void    vCodecMute				(uint8_t bMute);				//
			void    vCodecBypass 		  (uint8_t bByp);				//
			uint8_t ucCodecGetLineIn  (void);

		#endif

