/**
  ******************************************************************************
  * File Name          : main.h
  * Description        : This file contains the common defines of the application
  ******************************************************************************
  *
  * COPYRIGHT(c) 2018 STMicroelectronics
  *
  * Redistribution and use in source and binary forms, with or without modification,
  * are permitted provided that the following conditions are met:
  *   1. Redistributions of source code must retain the above copyright notice,
  *      this list of conditions and the following disclaimer.
  *   2. Redistributions in binary form must reproduce the above copyright notice,
  *      this list of conditions and the following disclaimer in the documentation
  *      and/or other materials provided with the distribution.
  *   3. Neither the name of STMicroelectronics nor the names of its contributors
  *      may be used to endorse or promote products derived from this software
  *      without specific prior written permission.
  *
  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
  * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
  * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
  * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
  * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
  * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
  * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
  * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  ******************************************************************************
  */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H
  /* Includes ------------------------------------------------------------------*/

/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Private define ------------------------------------------------------------*/

#define ENC_S_Pin GPIO_PIN_2
#define ENC_S_GPIO_Port GPIOE
#define LCD_CS_Pin GPIO_PIN_4
#define LCD_CS_GPIO_Port GPIOE
#define LCD_RS_Pin GPIO_PIN_5
#define LCD_RS_GPIO_Port GPIOE
#define LCD_WR_Pin GPIO_PIN_6
#define LCD_WR_GPIO_Port GPIOE
#define RTC_XT_IN_Pin GPIO_PIN_14
#define RTC_XT_IN_GPIO_Port GPIOC
#define RTC_XT_OUT_Pin GPIO_PIN_15
#define RTC_XT_OUT_GPIO_Port GPIOC
#define SYS_XT_IN_Pin GPIO_PIN_0
#define SYS_XT_IN_GPIO_Port GPIOH
#define SYS_XT_OUT_Pin GPIO_PIN_1
#define SYS_XT_OUT_GPIO_Port GPIOH
#define ANALYSER_L_Pin GPIO_PIN_0
#define ANALYSER_L_GPIO_Port GPIOA
#define ANALYSER_R_Pin GPIO_PIN_1
#define ANALYSER_R_GPIO_Port GPIOA
#define UART_BT_TX_Pin GPIO_PIN_2
#define UART_BT_TX_GPIO_Port GPIOA
#define UART_BT_RX_Pin GPIO_PIN_3
#define UART_BT_RX_GPIO_Port GPIOA
#define SRC_LRCLK_Pin GPIO_PIN_4
#define SRC_LRCLK_GPIO_Port GPIOA
#define WS812B_L_Pin GPIO_PIN_7
#define WS812B_L_GPIO_Port GPIOA
#define LCD_RST_Pin GPIO_PIN_7
#define LCD_RST_GPIO_Port GPIOE
#define LCD_D0_Pin GPIO_PIN_8
#define LCD_D0_GPIO_Port GPIOE
#define LCD_D1_Pin GPIO_PIN_9
#define LCD_D1_GPIO_Port GPIOE
#define LCD_D2_Pin GPIO_PIN_10
#define LCD_D2_GPIO_Port GPIOE
#define LCD_D3_Pin GPIO_PIN_11
#define LCD_D3_GPIO_Port GPIOE
#define LCD_D4_Pin GPIO_PIN_12
#define LCD_D4_GPIO_Port GPIOE
#define LCD_D5_Pin GPIO_PIN_13
#define LCD_D5_GPIO_Port GPIOE
#define LCD_D6_Pin GPIO_PIN_14
#define LCD_D6_GPIO_Port GPIOE
#define LCD_D7_Pin GPIO_PIN_15
#define LCD_D7_GPIO_Port GPIOE
#define CODEC_MOSI_Pin GPIO_PIN_10
#define CODEC_MOSI_GPIO_Port GPIOB
#define CODEC_LRCLK_Pin GPIO_PIN_12
#define CODEC_LRCLK_GPIO_Port GPIOB
#define CODEC_SCLK_Pin GPIO_PIN_13
#define CODEC_SCLK_GPIO_Port GPIOB
#define CODEC_DIN_Pin GPIO_PIN_14
#define CODEC_DIN_GPIO_Port GPIOB
#define CODEC_DOUT_Pin GPIO_PIN_15
#define CODEC_DOUT_GPIO_Port GPIOB
#define CODEC_CS_Pin GPIO_PIN_8
#define CODEC_CS_GPIO_Port GPIOD
#define CODEC_CLK_Pin GPIO_PIN_10
#define CODEC_CLK_GPIO_Port GPIOD
#define WS812B_R_Pin GPIO_PIN_12
#define WS812B_R_GPIO_Port GPIOD
#define WS812B_I_Pin GPIO_PIN_14
#define WS812B_I_GPIO_Port GPIOD
#define UART_RPI_TX_Pin GPIO_PIN_9
#define UART_RPI_TX_GPIO_Port GPIOA
#define UART_RPI_RX_Pin GPIO_PIN_10
#define UART_RPI_RX_GPIO_Port GPIOA
#define SWDIO_Pin GPIO_PIN_13
#define SWDIO_GPIO_Port GPIOA
#define SWCLK_Pin GPIO_PIN_14
#define SWCLK_GPIO_Port GPIOA
#define UART_USER_TX_Pin GPIO_PIN_10
#define UART_USER_TX_GPIO_Port GPIOC
#define UART_USER_RX_Pin GPIO_PIN_11
#define UART_USER_RX_GPIO_Port GPIOC
#define UART_AUX_TX_Pin GPIO_PIN_12
#define UART_AUX_TX_GPIO_Port GPIOC
#define UART_AUX_RX_Pin GPIO_PIN_2
#define UART_AUX_RX_GPIO_Port GPIOD
#define SRC_SCLK_Pin GPIO_PIN_3
#define SRC_SCLK_GPIO_Port GPIOB
#define SRC_DIN_Pin GPIO_PIN_4
#define SRC_DIN_GPIO_Port GPIOB
#define SRC_DOUT_Pin GPIO_PIN_5
#define SRC_DOUT_GPIO_Port GPIOB
#define SCL_Pin GPIO_PIN_6
#define SCL_GPIO_Port GPIOB
#define SDA_Pin GPIO_PIN_7
#define SDA_GPIO_Port GPIOB
#define ENC_A_Pin GPIO_PIN_0
#define ENC_A_GPIO_Port GPIOE
#define ENC_B_Pin GPIO_PIN_1
#define ENC_B_GPIO_Port GPIOE

/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

/**
  * @}
  */ 

/**
  * @}
*/ 

#endif /* __MAIN_H */
/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
