/*
 * audio_buffer.h
 *
 *  Created on: 19.12.2017
 *      Author: TheMason
 */

#ifndef AUDIO_BUFFER_H_
#define AUDIO_BUFFER_H_


  #define   NUM_BUFFERS    2

  #define   BUFFER_SIZE    64

  extern    I2S_HandleTypeDef hi2s2;


  typedef struct
  {
    int16_t chl;
    int16_t chr;
  } AUDIO_PCM_16;

  void      StartAudioBuffers   (I2S_HandleTypeDef *hi2s);
  uint8_t   HandleAudioBuffer   (void);
  uint32_t *GetAudioBuffer      (void);
  uint32_t  GetNumAudioSamples  (void);
  uint32_t  GetAudioBufferSize  (void);



#endif /* AUDIO_BUFFER_H_ */
